------------------------------------------------------------------------
r5584 | mhall | 2009-06-08 10:21:08 +1200 (Mon, 08 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/WrapperSubsetEval.java

Cut-and-paste error - tip text for evaluationMeasure mentioned DecisionTable.
------------------------------------------------------------------------
r5585 | mhall | 2009-06-08 14:58:37 +1200 (Mon, 08 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java

The JPopup menu used to display the class hierarchy seems to require a call to repaint() to display properly under Java 1.6 on OSX. The display glitch is only evident when editing a component that has more than one property that are themselves editied by GOEs (e.g. FilteredClassifier - when switching from editing the classifier to the filter, the filter's editor was displaying the classifier hierarchy. Only forcing a repaint by removing the properties filter would get it to display correctly).
------------------------------------------------------------------------
r5592 | mhall | 2009-06-09 11:34:29 +1200 (Tue, 09 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Instances.java

stratify() was checking for numFolds <= 0 rather than <= 1.
------------------------------------------------------------------------
r5597 | mhall | 2009-06-09 14:45:23 +1200 (Tue, 09 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/LearningRateResultProducer.java

Disabled stratification when data is nominal. The data was being stratified using m_StepSize (which is clearly wrong). Changing to numInstances / m_StepSize makes sense intuitively, but problems arise with small step sizes - in the extreme case of step size 1 and small lower size, no stratification is done and the data is left sorted by the class label. This can lead to some pretty weird curves - for early parts of the curve (i.e. small training set sizes), it is possible that there is only one class label present, which leads to 100% accuracy.
------------------------------------------------------------------------
r5602 | mhall | 2009-06-12 11:21:18 +1200 (Fri, 12 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java

Technical information update.
------------------------------------------------------------------------
r5604 | mhall | 2009-06-12 11:23:30 +1200 (Fri, 12 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/SubsetSizeForwardSelection.java

Technical information update.
------------------------------------------------------------------------
r5611 | mhall | 2009-06-17 14:16:39 +1200 (Wed, 17 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/BeanCommon.java
   M /trunk/weka/src/main/java/weka/gui/beans/BeanConnection.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/MetaBean.java

Managed to break the linking in and out of MetaBeans - now fixed again. Plus some improvements to the labeling of events, actions etc. for MetaBeans.
------------------------------------------------------------------------
r5614 | mhall | 2009-06-17 14:30:53 +1200 (Wed, 17 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java

The counter for early termination on the validation set was getting reset on each drop in error rather than only when the best error encountered was improved upon - fixed.
------------------------------------------------------------------------
r5616 | fracpete | 2009-06-18 10:51:05 +1200 (Thu, 18 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Statistics.java

all methods are now public
------------------------------------------------------------------------
r5621 | fracpete | 2009-06-18 21:30:52 +1200 (Thu, 18 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/SerializationHelper.java

added methods to handle serialization of multiple objects: readAll and writeAll
------------------------------------------------------------------------
r5658 | mhall | 2009-06-22 10:29:24 +1200 (Mon, 22 Jun 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/RuleSetModel.java

Initial import.
------------------------------------------------------------------------
r5665 | fracpete | 2009-06-22 14:05:06 +1200 (Mon, 22 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

points of ROC curve are now connected (like in KnowledgeFlow)
------------------------------------------------------------------------
r5667 | mhall | 2009-06-23 09:07:53 +1200 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssigner.java

Now passes on structure changes to DataFormatListeners when TrainingSetEvents and TestSetEvents are received.
------------------------------------------------------------------------
r5669 | mhall | 2009-06-23 09:20:27 +1200 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassValuePicker.java

Was not clearing warning messages from the status area of the log once they had been resolved.
------------------------------------------------------------------------
r5673 | mhall | 2009-06-23 11:13:02 +1200 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java

Added a "sample size" attribute for lift curves.
------------------------------------------------------------------------
r5675 | mhall | 2009-06-23 11:41:51 +1200 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/RDG1.java

Was creating instances with weight 0 - fixed.
------------------------------------------------------------------------
r5677 | mhall | 2009-06-23 14:15:21 +1200 (Tue, 23 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java

Added lift as a new attribute.
------------------------------------------------------------------------
r5678 | eibe | 2009-06-25 15:42:02 +1200 (Thu, 25 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

Implemented code for evaluation of conditional density estimates and interval estimators and reduced code redundancy. Note that SF_* statistics in numeric prediction case have changed---they can now be used to evaluate conditional density estimates---and are based on a simpler kernel estimator as well.
------------------------------------------------------------------------
r5679 | eibe | 2009-06-25 15:43:25 +1200 (Thu, 25 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java

Can now do conditional density estimation and interval estimation by fitting univariate density estimator to weighted target values.
------------------------------------------------------------------------
r5680 | eibe | 2009-06-25 15:45:14 +1200 (Thu, 25 Jun 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/estimators/UnivariateDensityEstimator.java
   A /trunk/weka/src/main/java/weka/estimators/UnivariateEqualFrequencyHistogramEstimator.java
   A /trunk/weka/src/main/java/weka/estimators/UnivariateIntervalEstimator.java
   A /trunk/weka/src/main/java/weka/estimators/UnivariateKernelEstimator.java
   A /trunk/weka/src/main/java/weka/estimators/UnivariateNormalEstimator.java

New classes and interfaces for univariate density and interval estimators.
------------------------------------------------------------------------
r5681 | eibe | 2009-06-25 15:49:49 +1200 (Thu, 25 Jun 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/ConditionalDensityEstimator.java

Interface that should be implemented by regression schemes that can do conditional density estimation.
------------------------------------------------------------------------
r5682 | eibe | 2009-06-25 15:57:40 +1200 (Thu, 25 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/RegressionSplitEvaluator.java

Evaluator now also measures coverage of test cases and size of prediction intervals when regressor does interval estimation. Size is measured relative to the full range of the target variable in the data.
------------------------------------------------------------------------
r5684 | mhall | 2009-06-25 20:47:06 +1200 (Thu, 25 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java

Now more efficient with memory consumption. No longer displays nominal attributes that have more values than the panel's horizontal resolution (histogram was clipped previously).
------------------------------------------------------------------------
r5685 | eibe | 2009-06-26 12:33:24 +1200 (Fri, 26 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

Entropy statistics are now output again for nominal class problems. Also outputs coverage statistics and rel. interval widths for nominal class problems now.
------------------------------------------------------------------------
r5686 | eibe | 2009-06-26 12:33:47 +1200 (Fri, 26 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/ClassifierSplitEvaluator.java

Now also includes coverage of intervals and size of predicted regions, based on the default confidence setting in the Evaluation class, i.e. at a 0.95 level.
------------------------------------------------------------------------
r5688 | eibe | 2009-06-26 15:52:41 +1200 (Fri, 26 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

Small bug fix for case where classifier implements only one of IntervalEstimator and ConditionalDensityEstimator: now the correct statistics are output in that case.
------------------------------------------------------------------------
r5689 | mhall | 2009-06-29 16:10:50 +1200 (Mon, 29 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java

Now uses sparse representation for class value counts.
------------------------------------------------------------------------
r5696 | eibe | 2009-07-01 15:38:59 +1200 (Wed, 01 Jul 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MILESFilter.java

Filter for MILES propositionalization method. Can be used to apply propositional learning algorithms to multi-instance data using FilteredClassifier.
------------------------------------------------------------------------
r5698 | mhall | 2009-07-02 14:10:34 +1200 (Thu, 02 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java

Fixed a bug that resulted in an infinite loop if lowerBoundMinSupport was set to a value that equates to less than one instance.
------------------------------------------------------------------------
r5704 | mhall | 2009-07-02 14:42:29 +1200 (Thu, 02 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java

Now unsets the class attribute so that schemes are not excluded by the capabilities filter on the basis of the class.
------------------------------------------------------------------------
r5705 | mhall | 2009-07-03 15:40:38 +1200 (Fri, 03 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java

Now sets missing value for lift if the number expected by chance is less than 1.
------------------------------------------------------------------------
r5708 | fracpete | 2009-07-03 17:38:55 +1200 (Fri, 03 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/PlotData2D.java

addInstanceNumberAttribute() now sets the corresponding class attribute after adding the instance number attribute, instead of just using the last one
------------------------------------------------------------------------
r5714 | fracpete | 2009-07-03 18:22:47 +1200 (Fri, 03 Jul 2009) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/NumericPrediction.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   A /trunk/weka/src/main/java/weka/gui/explorer/AbstractPlotInstances.java
   A /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   A /trunk/weka/src/main/java/weka/gui/explorer/ClustererAssignmentsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/Explorer.props
   M /trunk/weka/src/main/java/weka/gui/explorer/ExplorerDefaults.java

NumericPrediction class can store the prediction intervals returned by IntervalEstimator classifiers now as well
Evaluation class now records numeric predictions as well (and prediction intervals returned by IntervalEstimator classifiers); added member variable to store header information of dataset (m_Header, getHeader()), which means that one can generated classifier errors visualizations based on an Evaluation object now (for nominal and numeric class attributes)
moved code for generating classifier errors and cluster assignments in Explorer into separate classes (AbstractPlotInstances, ClassifierErrorsPlotInstances, ClusterAssignmentsPlotInstances); the KnowledgeFlow's ClassifierPerformanceEvaluator uses this code now as well; the labels for the cluster assignments now start at 1, to be consistent with the AddCluster filter
------------------------------------------------------------------------
r5717 | fracpete | 2009-07-05 19:32:06 +1200 (Sun, 05 Jul 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/InterquartileRange.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/InterquartileRangeTest.java

fixed ArrayIndexOutOfBounds exceptions if range of attributes to work on differed from "first-last"
added JUnit test with a range consisting of only one attribute
------------------------------------------------------------------------
r5720 | fracpete | 2009-07-10 14:30:38 +1200 (Fri, 10 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

fixed NullPointerException (m_PlotInstances didn't get initialized) if no visualizable components were connected to performance evaluator
------------------------------------------------------------------------
r5721 | mhall | 2009-07-12 10:33:06 +1200 (Sun, 12 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java

Was consuming 100% cpu for String attributes - fixed.
------------------------------------------------------------------------
r5726 | mhall | 2009-07-13 20:24:11 +1200 (Mon, 13 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/BayesNet.java

Updated the link to the Bayes net documentation (now points to the WekaManul on SourceForge).
------------------------------------------------------------------------
r5729 | mhall | 2009-07-15 13:29:45 +1200 (Wed, 15 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/LatentSemanticAnalysis.java

Was keeping a copy of the training data (rather than just the header). Also wasn't keeping the header in the case when the class attribute was not set - this is needed in convertInstance for header compatibility checking.
------------------------------------------------------------------------
r5731 | mhall | 2009-07-17 10:24:17 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassValuePicker.java

Fixed null pointer exception. Upon loading a flow, log object was getting written to before the KnowledgeFlow had a chance to set the log on all loaded beans.
------------------------------------------------------------------------
r5733 | mhall | 2009-07-17 12:51:22 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java

Now has an "About" panel and implements TechnicalInformationHandler. Also fixed plotting bug that occurred when data is first loaded into the visualizer. Now prints an error message if there are not at least two numeric attributes in the data. Made the plot area square and the window re-pack itself when a new data set is loaded (as the width of combo boxes on the right-hand size might change).
------------------------------------------------------------------------
r5734 | mhall | 2009-07-17 13:04:02 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java

Since the plot area is fixed to be square and non-resizable, have reduced its size so that the tool still displays ok on reasonably small screen resolutions (vertical ~800 pixels).
------------------------------------------------------------------------
r5737 | mhall | 2009-07-17 14:02:22 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java

Can now save threshold curves from ThresholdDataEvents.
------------------------------------------------------------------------
r5738 | mhall | 2009-07-17 14:03:42 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java

Added docs for new method.
------------------------------------------------------------------------
r5741 | mhall | 2009-07-17 14:28:05 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/PlotData2D.java

Added a member variable to allow clients to specify that points of a certain size are to be rendered regardless of whether they are obscured by other points or not.
------------------------------------------------------------------------
r5744 | mhall | 2009-07-17 14:30:35 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/Plot2D.java

Now allows points of a certain size to be rendered regardless of whether they are obscured by other points or not.
------------------------------------------------------------------------
r5747 | mhall | 2009-07-17 14:35:52 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizePanel.java

Added some methods to allow clients to programatically set whether the class panel or attribute bars panel are to be displayed. When set to false, this setting overrides a "true" setting in the Visualize.props file.
------------------------------------------------------------------------
r5750 | mhall | 2009-07-17 14:55:58 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ThresholdDataEvent.java

Can now store the class attribute from the original data used to generate the threshold curve data. Added a new constructor and an accessor method.
------------------------------------------------------------------------
r5753 | mhall | 2009-07-17 14:59:56 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/AbstractDataSink.java

Is now a ThresholdDataListener.
------------------------------------------------------------------------
r5756 | mhall | 2009-07-17 15:05:44 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Updated for the change to ThresholdDataEvent.
------------------------------------------------------------------------
r5759 | mhall | 2009-07-17 15:10:25 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Initial import
------------------------------------------------------------------------
r5762 | mhall | 2009-07-17 15:20:00 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Beans.props

Added the CostBenefitAnalysis component.
------------------------------------------------------------------------
r5765 | mhall | 2009-07-17 15:54:30 +1200 (Fri, 17 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Was not specifying that points of size 10 should always be plotted.
------------------------------------------------------------------------
r5766 | mhall | 2009-07-20 10:50:21 +1200 (Mon, 20 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Added a method to set plotting data and related class attribute directly. This allows the component to be more easily used by clients other than the KnowledgeFlow.
------------------------------------------------------------------------
r5769 | mhall | 2009-07-20 10:57:25 +1200 (Mon, 20 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Now includes the ability to pop up the Cost/Benefit analysis panel from the Classifier panel's result history list.
------------------------------------------------------------------------
r5772 | mhall | 2009-07-21 11:23:00 +1200 (Tue, 21 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Configuration of a classifier after training on a large data set was slow due to the fact that the object used for configuration is the same as the classifier that is actually trained - fixed. Now uses a classifier template for configuration which is separate from the actual classifier that gets trained.
------------------------------------------------------------------------
r5773 | mhall | 2009-07-21 11:23:26 +1200 (Tue, 21 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java

Updated to use the get/set classifier template methods.
------------------------------------------------------------------------
r5778 | mhall | 2009-07-21 11:41:17 +1200 (Tue, 21 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Was not setting the priors in the evaluation object for each set - fixed.
------------------------------------------------------------------------
r5781 | mhall | 2009-07-22 15:53:33 +1200 (Wed, 22 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/BatchClassifierEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Now makes more efficient use of memory. When training classifiers in parallel, each is dispatched to be evaluated once complete, rather than storing an entire run before dispatching.
------------------------------------------------------------------------
r5784 | fracpete | 2009-07-22 21:09:46 +1200 (Wed, 22 Jul 2009) | 3 lines
Changed paths:
   A /trunk/weka/src/main/java/weka/core/converters/JSONLoader.java
   A /trunk/weka/src/main/java/weka/core/converters/JSONSaver.java
   A /trunk/weka/src/main/java/weka/core/json
   A /trunk/weka/src/main/java/weka/core/json/JSONInstances.java
   A /trunk/weka/src/main/java/weka/core/json/JSONNode.java
   A /trunk/weka/src/main/java/weka/core/json/Parser.cup
   A /trunk/weka/src/main/java/weka/core/json/Parser.java
   A /trunk/weka/src/main/java/weka/core/json/Scanner.java
   A /trunk/weka/src/main/java/weka/core/json/Scanner.jflex
   A /trunk/weka/src/main/java/weka/core/json/sym.java
   A /trunk/weka/src/test/java/weka/core/converters/JSONTest.java

added general support for reading/writing JSON file format (weka.core.json package: JSONNode class and Parser.java)
added converters for loading/saving Instances in JSON file format

------------------------------------------------------------------------
r5785 | fracpete | 2009-07-22 21:11:22 +1200 (Wed, 22 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/json/Parser.cup
   M /trunk/weka/src/main/java/weka/core/json/Scanner.jflex

added "Revision" keyword
------------------------------------------------------------------------
r5786 | fracpete | 2009-07-22 21:33:37 +1200 (Wed, 22 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/json/JSONNode.java
   M /trunk/weka/src/main/java/weka/core/json/Parser.java
   M /trunk/weka/src/main/java/weka/core/json/Scanner.java
   M /trunk/weka/src/main/java/weka/core/json/Scanner.jflex
   M /trunk/weka/src/main/java/weka/core/json/sym.java

Even though the BNF of JSON suggests to escape the forward slash, the examples listed on the JSON homepage don't do that. Hence I've removed the escaping of forward slashes again.
------------------------------------------------------------------------
r5791 | mhall | 2009-07-23 14:43:13 +1200 (Thu, 23 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/CVParameterSelection.java

Fixed a typo in the CVParametersTipText() method.
------------------------------------------------------------------------
r5792 | mhall | 2009-07-23 15:49:10 +1200 (Thu, 23 Jul 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeManyValues.java

Initial import of Kathryn's merge many values filter.
------------------------------------------------------------------------
r5793 | mhall | 2009-07-23 15:50:02 +1200 (Thu, 23 Jul 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/meta/OneClassClassifier.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/DiscreteGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/DiscreteUniformGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/EMGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/GaussianGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/Generator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/InstanceHandler.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/Mean.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/MixedGaussianGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/NominalAttributeGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/NominalGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/NumericAttributeGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/RandomizableDistributionGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/RandomizableGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/RandomizableRangedGenerator.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/Ranged.java
   A /trunk/weka/src/main/java/weka/classifiers/meta/generators/UniformDataGenerator.java

Initial import of Kathryn's one class classifier.
------------------------------------------------------------------------
r5798 | fracpete | 2009-07-28 09:29:55 +1200 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/MinkowskiDistance.java

added Minkowski distance function (http://en.wikipedia.org/wiki/Minkowski_distance)
------------------------------------------------------------------------
r5800 | mhall | 2009-07-28 11:02:12 +1200 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/ParallelIteratedSingleClassifierEnhancer.java
   A /trunk/weka/src/main/java/weka/classifiers/RandomizableParallelIteratedSingleClassifierEnhancer.java

Initial import.
------------------------------------------------------------------------
r5801 | mhall | 2009-07-28 11:03:11 +1200 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/Bagging.java

Now exends RandomizableParallelIteratedSingleClassifierEnhancer
------------------------------------------------------------------------
r5802 | mhall | 2009-07-28 17:30:05 +1200 (Tue, 28 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/ParallelIteratedSingleClassifierEnhancer.java

changed the execution slots parameter from -Z to -num-slots
------------------------------------------------------------------------
r5803 | mhall | 2009-07-29 10:48:37 +1200 (Wed, 29 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/GridSearch.java

Enabled missing class values capability.
------------------------------------------------------------------------
r5805 | fracpete | 2009-07-29 12:17:17 +1200 (Wed, 29 Jul 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

fixed NullPointerException in case predictions weren't saved for visualization (ClassifierErrorsPlotInstances wasn't initialized)
added parameter to ClassifierErrorsPlotInstances to not store the instances for visualization and just evaluate the current instance in the process(...) method
------------------------------------------------------------------------
r5807 | mhall | 2009-07-29 13:58:43 +1200 (Wed, 29 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/PolyKernel.java

toString() for linear kernel with lower order terms was outputting <x,y> instead of <x,y> + 1.
------------------------------------------------------------------------
r5810 | mhall | 2009-07-30 13:37:47 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Now makes a copy of the plotting data to avoid interfering with any other users of the data. Now implements BeanCommon and prevents enforces only one incoming connection.
------------------------------------------------------------------------
r5813 | mhall | 2009-07-30 13:43:59 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIEditors.props
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props

Added the generators necessary for Kathryn's one class classifier.
------------------------------------------------------------------------
r5814 | mhall | 2009-07-30 13:46:22 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java

Added RuleSetModel.
------------------------------------------------------------------------
r5817 | mhall | 2009-07-30 14:08:39 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java

Fixed the appearance of the BoundaryVisualizer when launched from the GUIChooser.
------------------------------------------------------------------------
r5820 | mhall | 2009-07-30 14:38:17 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/BeanCommon.java

Added what I thought was a superfluous method back in again :-)
------------------------------------------------------------------------
r5822 | mhall | 2009-07-30 16:37:44 +1200 (Thu, 30 Jul 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Incremental learning was broken due to m_Classifier rather than m_ClassifierTemplate being tested for UpdateableClassifier - fixed.
------------------------------------------------------------------------
r5828 | eibe | 2009-07-31 11:35:46 +1200 (Fri, 31 Jul 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/experiment/CrossValidationSplitResultProducer.java

Split producer for more fine-grained (per-fold) distribution of cross-validation experiments. Accessible via the advanced mode in the experimenter. Note that a run in the case of this split evaluator actually refers to one fold of one cross-validation. To do 10-times 10-fold cross-validation, specify 100 runs. Results obtained should be identical to those obtained using the CrossValidationResultProducer with 10 runs.
------------------------------------------------------------------------
r5837 | fracpete | 2009-08-03 21:06:30 +1200 (Mon, 03 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/TextDirectoryLoader.java
   M /trunk/weka/src/main/java/weka/core/stemmers/SnowballStemmer.java
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.hsql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.msaccess
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mssqlserver
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mssqlserver2005
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mysql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.odbc
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.oracle
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.postgresql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.sqlite3
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props
   M /trunk/weka/src/main/java/weka/gui/Main.java
   M /trunk/weka/src/main/java/weka/gui/scripting/GroovyPanel.java
   M /trunk/weka/src/main/java/weka/gui/scripting/JythonPanel.java

updated wiki URLs
------------------------------------------------------------------------
r5839 | fracpete | 2009-08-04 10:58:29 +1200 (Tue, 04 Aug 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/attributeSelection/ClassifierAttributeEval.java
   A /trunk/weka/src/test/java/weka/attributeSelection/ClassifierAttributeEvalTest.java

evaluator based on OneRAttributeEval, let's the user specify any classifier for evaluating attributes
------------------------------------------------------------------------
r5841 | mhall | 2009-08-04 14:02:57 +1200 (Tue, 04 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java
   M /trunk/weka/src/main/java/weka/gui/PropertyPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/SetupPanel.java

"Choose" buttons in the advanced mode of the Experimenter were not disabled when first switching to advanced mode (and before loading an experiment or hitting the "new" button). Fixed.
------------------------------------------------------------------------
r5853 | fracpete | 2009-08-09 15:51:47 +1200 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveByName.java
   A /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RemoveByNameTest.java

filter for removing attributes based on their names
------------------------------------------------------------------------
r5855 | fracpete | 2009-08-09 16:13:56 +1200 (Sun, 09 Aug 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/SimpleCLIPanel.java

added command for outputting the capabilities of a class:
  capabilities <classname> <args>
------------------------------------------------------------------------
r5859 | fracpete | 2009-08-11 17:14:30 +1200 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/ConditionalDensityEstimator.java

fixed Javadoc
------------------------------------------------------------------------
r5860 | fracpete | 2009-08-11 17:16:41 +1200 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java

fixed Javadoc
------------------------------------------------------------------------
r5861 | fracpete | 2009-08-11 17:23:27 +1200 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/generators/Generator.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/generators/UniformDataGenerator.java
   M /trunk/weka/src/main/java/weka/estimators/UnivariateIntervalEstimator.java

fixed Javadoc
------------------------------------------------------------------------
r5865 | fracpete | 2009-08-13 09:47:14 +1200 (Thu, 13 Aug 2009) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/OneClassClassifier.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeManyValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeTwoValues.java

MergeTwoValues/MergeManyValues no longer allow processing the class attribute, since this can lead to ArrayIndexOutOfBounds exceptions when used in conjunction with the FilteredClassifier:
https://list.scms.waikato.ac.nz/mailman/htdig/wekalist/2009-August/018746.html
OneClassClassifier now temporarily unsets the class attribute before using MergeManyValues
------------------------------------------------------------------------
r5885 | mhall | 2009-08-17 15:24:47 +1200 (Mon, 17 Aug 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/rules/OLM.java

Initial import of TriDat Tran's implementation.
------------------------------------------------------------------------
r5888 | mhall | 2009-08-21 15:19:34 +1200 (Fri, 21 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RandomCommittee.java

Now extends RandomizableParallelIteratedSingleClassifierEnhancer.
------------------------------------------------------------------------
r5895 | mhall | 2009-08-24 14:19:26 +1200 (Mon, 24 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RandomSubSpace.java

Now extends RandomizableParallelIteratedSingleClassifierEnhancer
------------------------------------------------------------------------
r5900 | mhall | 2009-08-26 10:31:58 +1200 (Wed, 26 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java

Now exends RandomizableParallelIteratedSingleClassifierEnhancer
------------------------------------------------------------------------
r5902 | mhall | 2009-08-26 11:36:25 +1200 (Wed, 26 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java

Added a serial version uid for the inner classifier wrapper class.
------------------------------------------------------------------------
r5904 | mhall | 2009-08-28 10:00:10 +1200 (Fri, 28 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/MultipleClassifiersCombiner.java

setOptions was not calling super.setOptions - fixed.
------------------------------------------------------------------------
r5907 | mhall | 2009-08-28 10:13:14 +1200 (Fri, 28 Aug 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/ParallelMultipleClassifiersCombiner.java
   A /trunk/weka/src/main/java/weka/classifiers/RandomizableParallelMultipleClassifiersCombiner.java

Initial import
------------------------------------------------------------------------
r5908 | mhall | 2009-08-28 10:14:49 +1200 (Fri, 28 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/Stacking.java

Now extends RandomizableParallelMultipleClassifiersCombiner.
------------------------------------------------------------------------
r5910 | mhall | 2009-08-28 10:24:50 +1200 (Fri, 28 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/NonSparseToSparse.java

Now has a couple of options that are useful in converting standard arff files that are formatted for market basket applications (i.e. single valued nominal attributes to indicate presence in a basket and missing values to indicate absence) to sparse format.
------------------------------------------------------------------------
r5914 | fracpete | 2009-08-30 15:16:51 +1200 (Sun, 30 Aug 2009) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/CSV.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/HTML.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/PlainText.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/XML.java

doPrintClassification method:
- now unsets the class attribute before letting the classifier classify it
- no longer outputs error flag if class value was missing in test set
------------------------------------------------------------------------
r5916 | mhall | 2009-08-31 08:45:41 +1200 (Mon, 31 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibLINEAR.java

Now sets a bias field value in getProblem().
------------------------------------------------------------------------
r5920 | fracpete | 2009-08-31 09:28:23 +1200 (Mon, 31 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/BMPWriter.java
   M /trunk/weka/src/main/java/weka/gui/visualize/JPEGWriter.java
   M /trunk/weka/src/main/java/weka/gui/visualize/PNGWriter.java

uses now printAll(Graphics) instead of paint(Graphics) to ensure that everything is drawn properly when generating the image
------------------------------------------------------------------------
r5922 | mhall | 2009-08-31 10:21:29 +1200 (Mon, 31 Aug 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/misc/OSDL.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/AbsoluteLossFunction.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/BitMatrix.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/BooleanBitMatrix.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/Coordinates.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/CumulativeDiscreteDistribution.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/DiscreteDistribution.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/DistributionUtils.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/EnumerationIterator.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/InstancesComparator.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/InstancesUtil.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/MultiDimensionalSort.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/NominalLossFunction.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/OSDLCore.java
   A /trunk/weka/src/main/java/weka/classifiers/misc/monotone/ZeroOneLossFunction.java

Reinstated OSDL.
------------------------------------------------------------------------
r5923 | mhall | 2009-08-31 10:22:01 +1200 (Mon, 31 Aug 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Re-added OSDL and OLM
------------------------------------------------------------------------
r5924 | eibe | 2009-09-02 11:53:22 +1200 (Wed, 02 Sep 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/estimators/UnivariateQuantileEstimator.java

New interface that can be implemented by univariate quantile estimators.
------------------------------------------------------------------------
r5925 | eibe | 2009-09-02 11:54:29 +1200 (Wed, 02 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java

Added technical information and updated global info. Can now also attempt to minimize absolute error based on conditional density estimate.
------------------------------------------------------------------------
r5926 | mhall | 2009-09-03 11:02:59 +1200 (Thu, 03 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/misc/monotone/OSDLCore.java

getCapabilities() wasn't disabling all capabilities before enabling specific ones.
------------------------------------------------------------------------
r5928 | eibe | 2009-09-03 12:07:59 +1200 (Thu, 03 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ClassifierAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ClassifierSubsetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/OneRAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/WrapperSubsetEval.java
   A /trunk/weka/src/main/java/weka/classifiers/AbstractClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/BVDecompose.java
   M /trunk/weka/src/main/java/weka/classifiers/BVDecomposeSegCVSub.java
   M /trunk/weka/src/main/java/weka/classifiers/CheckClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/CheckSource.java
   M /trunk/weka/src/main/java/weka/classifiers/Classifier.java
   M /trunk/weka/src/main/java/weka/classifiers/EnsembleLibrary.java
   M /trunk/weka/src/main/java/weka/classifiers/EnsembleLibraryModel.java
   M /trunk/weka/src/main/java/weka/classifiers/EnsembleLibraryModelComparator.java
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/IteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/MultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/SingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/AODE.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/AODEsr.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/BayesNet.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/ComplementNaiveBayes.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/DMNBtext.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/HNB.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayes.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesMultinomial.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesSimple.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/WAODE.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/CostCurve.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/EvaluationUtils.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/IsotonicRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LeastMedSq.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibLINEAR.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibSVM.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LinearRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/Logistic.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/PLSClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/PaceRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/RBFNetwork.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMO.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMOreg.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SimpleLinearRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SimpleLogistic.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/VotedPerceptron.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/Winnow.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural/LinearUnit.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/IB1.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/IBk.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/KStar.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LBR.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LWL.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/AdaBoostM1.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/AdditiveRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/CVParameterSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaClustering.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/CostSensitiveClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Dagging.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Decorate.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/END.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/FilteredClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Grading.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/GridSearch.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/LogitBoost.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/MetaCost.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/MultiClassClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/MultiScheme.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/OrdinalClassClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RacedIncrementalLogitBoost.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RandomCommittee.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RandomSubSpace.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Stacking.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/StackingC.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/ensembleSelection/EnsembleSelectionLibrary.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/ensembleSelection/EnsembleSelectionLibraryModel.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/nestedDichotomies/ClassBalancedND.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/nestedDichotomies/DataNearBalancedND.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/nestedDichotomies/ND.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/CitationKNN.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MDD.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MIBoost.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MIDD.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MILR.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MINND.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MIOptimalBall.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MISMO.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MISVM.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/FLR.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/HyperPipes.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/SerializedClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/VFI.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/monotone/OSDLCore.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/GeneralRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/PMMLClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/Regression.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/ConjunctiveRule.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/DecisionTable.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/DecisionTableHashKey.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/JRip.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/NNge.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/OLM.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/OneR.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/PART.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/Prism.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/Ridor.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/ZeroR.java
   M /trunk/weka/src/main/java/weka/classifiers/scripting/GroovyClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/scripting/JythonClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/ADTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/DecisionStump.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/FT.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/Id3.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48graft.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/LADTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/LMT.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/NBTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomForest.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/UserClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/NBTreeNoSplit.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/lmt/LogisticBase.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/M5Base.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/PreConstructedLinearModel.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5/RuleNode.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java
   M /trunk/weka/src/main/java/weka/experiment/ClassifierSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/CostSensitiveClassifierSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/RegressionSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AddClassification.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveMisclassified.java
   M /trunk/weka/src/main/java/weka/gui/beans/BatchClassifierEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java
   M /trunk/weka/src/main/java/weka/gui/beans/Startable.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanel.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanelDistributed.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/RemoteBoundaryVisualizerSubTask.java
   M /trunk/weka/src/main/java/weka/gui/ensembleLibraryEditor/AddModelsPanel.java
   M /trunk/weka/src/main/java/weka/gui/ensembleLibraryEditor/DefaultModelsPanel.java
   M /trunk/weka/src/main/java/weka/gui/ensembleLibraryEditor/LibrarySerialization.java
   M /trunk/weka/src/main/java/weka/gui/experiment/AlgorithmListPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/SimpleSetupPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   M /trunk/weka/src/main/java/weka/gui/scripting/ScriptUtils.java
   M /trunk/weka/src/main/java/weka/gui/visualize/ThresholdVisualizePanel.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/ThresholdSelectorDummyClassifier.java

Classifier.java is now an interface. Added new class AbstractClassifier.java.
------------------------------------------------------------------------
r5930 | fracpete | 2009-09-07 11:02:41 +1200 (Mon, 07 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java

removed "@Override" annotation of ClassifierWrapper.buildClassifier method
------------------------------------------------------------------------
r5932 | eibe | 2009-09-07 16:03:35 +1200 (Mon, 07 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java

Cleaned up and checked in the faster version of Gaussian process regression produced by Remco. Note that this modified version transforms the target (as well as the other attributes) based on the selected transformation. The old version left the target untouched. This new version uses a linear kernel by default, as advertised in the command-line info. The class now also implements ConditionalDensityEstimator. Note that parameter tuning is required to get useful prediction intervals and density values. In our experiments (see ACML 09 paper), tuning based on maximizing cross-validated loglikelihood worked well. We used a modified version of GridSearch to do this.
------------------------------------------------------------------------
r5933 | mhall | 2009-09-07 16:13:38 +1200 (Mon, 07 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java

Modified the find() method so that it works by using URL entries from the actual classloader rather than the system java.class.path property. This allows the dynamic class discovery to pick up stuff that has been dynamically added to the classpath by weka.core.ClassLoaderUtil.
------------------------------------------------------------------------
r5935 | fracpete | 2009-09-07 22:09:38 +1200 (Mon, 07 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Utils.java

added convenience method to generate String consisting of "classname+options" from an object: toCommandLine(Object)
------------------------------------------------------------------------
r5938 | fracpete | 2009-09-08 06:52:05 +1200 (Tue, 08 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Utils.java

added space between classname and options in toCommandLine method
------------------------------------------------------------------------
r5940 | mhall | 2009-09-08 08:45:54 +1200 (Tue, 08 Sep 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/rules/FURIA.java

Initial import of Cristian Huhn's implementation of the FURIA rule learner.
------------------------------------------------------------------------
r5942 | eibe | 2009-09-08 09:53:02 +1200 (Tue, 08 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java

Eliminated compile-time warnings for GaussianProcesses.
------------------------------------------------------------------------
r5944 | eibe | 2009-09-08 11:10:52 +1200 (Tue, 08 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Instances.java

Removed unused attribute randomization code.
------------------------------------------------------------------------
r5950 | mhall | 2009-09-09 13:00:19 +1200 (Wed, 09 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java

Fixed a stupid bug I introduced with the last change :-)
------------------------------------------------------------------------
r5952 | eibe | 2009-09-09 14:10:47 +1200 (Wed, 09 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java

Fixed name of option in setOptions.
------------------------------------------------------------------------
r5953 | eibe | 2009-09-10 09:18:45 +1200 (Thu, 10 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/adtree/ReferenceInstances.java
   M /trunk/weka/src/main/java/weka/core/AbstractStringDistanceFunction.java
   M /trunk/weka/src/main/java/weka/core/AdditionalMeasureProducer.java
   M /trunk/weka/src/main/java/weka/core/AlgVector.java
   M /trunk/weka/src/main/java/weka/core/AllJavadoc.java
   M /trunk/weka/src/main/java/weka/core/Attribute.java
   M /trunk/weka/src/main/java/weka/core/AttributeExpression.java
   M /trunk/weka/src/main/java/weka/core/AttributeLocator.java
   M /trunk/weka/src/main/java/weka/core/BinarySparseInstance.java
   M /trunk/weka/src/main/java/weka/core/Capabilities.java
   M /trunk/weka/src/main/java/weka/core/Capabilities.props
   M /trunk/weka/src/main/java/weka/core/CapabilitiesHandler.java
   M /trunk/weka/src/main/java/weka/core/ChebyshevDistance.java
   M /trunk/weka/src/main/java/weka/core/Check.java
   M /trunk/weka/src/main/java/weka/core/CheckGOE.java
   M /trunk/weka/src/main/java/weka/core/CheckOptionHandler.java
   M /trunk/weka/src/main/java/weka/core/CheckScheme.java
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java
   M /trunk/weka/src/main/java/weka/core/ClassloaderUtil.java
   M /trunk/weka/src/main/java/weka/core/ContingencyTables.java
   M /trunk/weka/src/main/java/weka/core/Copyable.java
   M /trunk/weka/src/main/java/weka/core/Copyright.java
   M /trunk/weka/src/main/java/weka/core/Debug.java
   M /trunk/weka/src/main/java/weka/core/DistanceFunction.java
   M /trunk/weka/src/main/java/weka/core/Drawable.java
   M /trunk/weka/src/main/java/weka/core/EditDistance.java
   M /trunk/weka/src/main/java/weka/core/EuclideanDistance.java
   M /trunk/weka/src/main/java/weka/core/FastVector.java
   M /trunk/weka/src/main/java/weka/core/FindWithCapabilities.java
   M /trunk/weka/src/main/java/weka/core/GlobalInfoJavadoc.java
   M /trunk/weka/src/main/java/weka/core/Instance.java
   M /trunk/weka/src/main/java/weka/core/InstanceComparator.java
   M /trunk/weka/src/main/java/weka/core/Instances.java
   M /trunk/weka/src/main/java/weka/core/Javadoc.java
   M /trunk/weka/src/main/java/weka/core/ListOptions.java
   M /trunk/weka/src/main/java/weka/core/ManhattanDistance.java
   M /trunk/weka/src/main/java/weka/core/Matchable.java
   M /trunk/weka/src/main/java/weka/core/Matrix.java
   M /trunk/weka/src/main/java/weka/core/Memory.java
   M /trunk/weka/src/main/java/weka/core/MinkowskiDistance.java
   M /trunk/weka/src/main/java/weka/core/MultiInstanceCapabilitiesHandler.java
   M /trunk/weka/src/main/java/weka/core/NoSupportForMissingValuesException.java
   M /trunk/weka/src/main/java/weka/core/NormalizableDistance.java
   M /trunk/weka/src/main/java/weka/core/Optimization.java
   M /trunk/weka/src/main/java/weka/core/Option.java
   M /trunk/weka/src/main/java/weka/core/OptionHandler.java
   M /trunk/weka/src/main/java/weka/core/OptionHandlerJavadoc.java
   M /trunk/weka/src/main/java/weka/core/PropertyPath.java
   M /trunk/weka/src/main/java/weka/core/ProtectedProperties.java
   M /trunk/weka/src/main/java/weka/core/Queue.java
   M /trunk/weka/src/main/java/weka/core/Randomizable.java
   M /trunk/weka/src/main/java/weka/core/Range.java
   M /trunk/weka/src/main/java/weka/core/RelationalLocator.java
   M /trunk/weka/src/main/java/weka/core/RevisionHandler.java
   M /trunk/weka/src/main/java/weka/core/RevisionUtils.java
   M /trunk/weka/src/main/java/weka/core/SelectedTag.java
   M /trunk/weka/src/main/java/weka/core/SerializationHelper.java
   M /trunk/weka/src/main/java/weka/core/SingleIndex.java
   M /trunk/weka/src/main/java/weka/core/SparseInstance.java
   M /trunk/weka/src/main/java/weka/core/SpecialFunctions.java
   M /trunk/weka/src/main/java/weka/core/Stopwords.java
   M /trunk/weka/src/main/java/weka/core/StringLocator.java
   M /trunk/weka/src/main/java/weka/core/Summarizable.java
   M /trunk/weka/src/main/java/weka/core/SystemInfo.java
   M /trunk/weka/src/main/java/weka/core/Tag.java
   M /trunk/weka/src/main/java/weka/core/TechnicalInformation.java
   M /trunk/weka/src/main/java/weka/core/TechnicalInformationHandler.java
   M /trunk/weka/src/main/java/weka/core/TechnicalInformationHandlerJavadoc.java
   M /trunk/weka/src/main/java/weka/core/Tee.java
   M /trunk/weka/src/main/java/weka/core/TestInstances.java
   M /trunk/weka/src/main/java/weka/core/Trie.java
   M /trunk/weka/src/main/java/weka/core/UnassignedClassException.java
   M /trunk/weka/src/main/java/weka/core/UnassignedDatasetException.java
   M /trunk/weka/src/main/java/weka/core/Undoable.java
   M /trunk/weka/src/main/java/weka/core/UnsupportedAttributeTypeException.java
   M /trunk/weka/src/main/java/weka/core/UnsupportedClassTypeException.java
   M /trunk/weka/src/main/java/weka/core/Utils.java
   M /trunk/weka/src/main/java/weka/core/Version.java
   M /trunk/weka/src/main/java/weka/core/WeightedInstancesHandler.java
   M /trunk/weka/src/main/java/weka/core/WekaException.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/ArffLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/ArffSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/BatchConverter.java
   M /trunk/weka/src/main/java/weka/core/converters/C45Loader.java
   M /trunk/weka/src/main/java/weka/core/converters/C45Saver.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseConnection.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseConverter.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/FileSourcedConverter.java
   M /trunk/weka/src/main/java/weka/core/converters/IncrementalConverter.java
   M /trunk/weka/src/main/java/weka/core/converters/JSONSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/LibSVMLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/LibSVMSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/Loader.java
   M /trunk/weka/src/main/java/weka/core/converters/MatlabLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/MatlabSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/SVMLightLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/SVMLightSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/Saver.java
   M /trunk/weka/src/main/java/weka/core/converters/SerializedInstancesLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/TextDirectoryLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/URLSourcedLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/XRFFSaver.java
   M /trunk/weka/src/main/java/weka/core/json/JSONInstances.java
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Parser.java
   M /trunk/weka/src/main/java/weka/core/matrix/CholeskyDecomposition.java
   M /trunk/weka/src/main/java/weka/core/matrix/DoubleVector.java
   M /trunk/weka/src/main/java/weka/core/matrix/EigenvalueDecomposition.java
   M /trunk/weka/src/main/java/weka/core/matrix/ExponentialFormat.java
   M /trunk/weka/src/main/java/weka/core/matrix/FlexibleDecimalFormat.java
   M /trunk/weka/src/main/java/weka/core/matrix/FloatingPointFormat.java
   M /trunk/weka/src/main/java/weka/core/matrix/IntVector.java
   M /trunk/weka/src/main/java/weka/core/matrix/LUDecomposition.java
   M /trunk/weka/src/main/java/weka/core/matrix/LinearRegression.java
   M /trunk/weka/src/main/java/weka/core/matrix/Maths.java
   M /trunk/weka/src/main/java/weka/core/matrix/Matrix.java
   M /trunk/weka/src/main/java/weka/core/matrix/QRDecomposition.java
   M /trunk/weka/src/main/java/weka/core/matrix/SingularValueDecomposition.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/BallTree.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/CoverTree.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/KDTree.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/LinearNNSearch.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/NearestNeighbourSearch.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/PerformanceStats.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/TreePerformanceStats.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BallNode.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BallSplitter.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BallTreeConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BottomUpConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/MedianDistanceFromArbitraryPoint.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/MedianOfWidestDimension.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/MiddleOutConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/PointsClosestToFurthestChildren.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/TopDownConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/covertrees/Stack.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/KDTreeNode.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/KDTreeNodeSplitter.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/KMeansInpiredMethod.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/MedianOfWidestDimension.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/MidPointOfWidestDimension.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees/SlidingMidPointOfWidestSide.java
   M /trunk/weka/src/main/java/weka/core/pmml/Apply.java
   M /trunk/weka/src/main/java/weka/core/pmml/BuiltInString.java
   M /trunk/weka/src/main/java/weka/core/pmml/Constant.java
   M /trunk/weka/src/main/java/weka/core/pmml/DefineFunction.java
   M /trunk/weka/src/main/java/weka/core/pmml/Discretize.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningSchema.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java
   M /trunk/weka/src/main/java/weka/core/pmml/TargetMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/scripting/Groovy.java
   M /trunk/weka/src/main/java/weka/core/scripting/Jython.java
   M /trunk/weka/src/main/java/weka/core/stemmers/IteratedLovinsStemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/LovinsStemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/NullStemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/SnowballStemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/Stemmer.java
   M /trunk/weka/src/main/java/weka/core/stemmers/Stemming.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/AlphabeticTokenizer.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/CharacterDelimitedTokenizer.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/NGramTokenizer.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/Tokenizer.java
   M /trunk/weka/src/main/java/weka/core/tokenizers/WordTokenizer.java
   M /trunk/weka/src/main/java/weka/core/version.txt
   M /trunk/weka/src/main/java/weka/core/xml/KOML.java
   M /trunk/weka/src/main/java/weka/core/xml/MethodHandler.java
   M /trunk/weka/src/main/java/weka/core/xml/PropertyHandler.java
   M /trunk/weka/src/main/java/weka/core/xml/SerialUIDChanger.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLBasicSerialization.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLDocument.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLInstances.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLOptions.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLSerialization.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLSerializationMethodHandler.java
   M /trunk/weka/src/main/java/weka/core/xml/XStream.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/RDG1.java

New version of core package that  that does not depend on FastVector anymore. However, FastVector still exists, extending ArrayList, for backwards compatibility: obviously lots of code outside the core package uses FastVector. Also eliminated all unchecked compile time warnings from the core package.
------------------------------------------------------------------------
r5954 | eibe | 2009-09-10 10:32:18 +1200 (Thu, 10 Sep 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/WekaEnumeration.java

Enumeration moved out of FastVector.
------------------------------------------------------------------------
r5955 | eibe | 2009-09-10 17:06:08 +1200 (Thu, 10 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Instances.java
   M /trunk/weka/src/main/java/weka/core/WekaEnumeration.java

Instances now extends AbstractList<Instance>. WekaEnumeration uses List now instead of ArrayList.
------------------------------------------------------------------------
r5956 | mhall | 2009-09-10 19:56:16 +1200 (Thu, 10 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/NNge.java

Changed visibility of isEmpty() method in Exemplar class in order to comply with Instances change to extending AbstractList.
------------------------------------------------------------------------
r5958 | mhall | 2009-09-14 14:51:28 +1200 (Mon, 14 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Null ptr exception when popping up Cost/Benefit panel if model was not being output - fixed.
------------------------------------------------------------------------
r5961 | remco | 2009-09-23 10:00:08 +1200 (Wed, 23 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Drawable.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java

support for hierarchical clustering
------------------------------------------------------------------------
r5962 | remco | 2009-09-23 10:27:02 +1200 (Wed, 23 Sep 2009) | 2 lines
Changed paths:
   A /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java
   A /trunk/weka/src/main/java/weka/gui/hierarchyvisualizer
   A /trunk/weka/src/main/java/weka/gui/hierarchyvisualizer/HierarchyVisualizer.java

support for hierarchical clustering

------------------------------------------------------------------------
r5964 | fracpete | 2009-09-23 11:09:59 +1200 (Wed, 23 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/FURIA.java

removed the German umlauts from the source code (ant failed to compile)
------------------------------------------------------------------------
r5966 | remco | 2009-09-23 11:16:58 +1200 (Wed, 23 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java

Fixed zero instance dataset issue in HierarchicalClusterer
------------------------------------------------------------------------
r5968 | mhall | 2009-09-23 13:48:59 +1200 (Wed, 23 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.java

The check for whether the current classloader is the system classloader is no longer necessary now that ClassDiscovery operates using the current classloader rather that the system classpath.
------------------------------------------------------------------------
r5972 | mhall | 2009-09-25 07:50:53 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Attribute.java

Fixed a bug where a value was being directly compared to Instance.missingValue() (rather than using Instance.isMissingValue()).
------------------------------------------------------------------------
r5976 | mhall | 2009-09-25 09:17:26 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/AttributeExpression.java

Fixed a bug where a value was being directly compared to Instance.missingValue() (rather than using Instance.isMissingValue()).
------------------------------------------------------------------------
r5980 | mhall | 2009-09-25 09:22:33 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/DecisionTable.java

Fixed a bug where a value was being directly compared to Instance.missingValue() (rather than using Instance.isMissingValue()).
------------------------------------------------------------------------
r5983 | mhall | 2009-09-25 09:35:04 +1200 (Fri, 25 Sep 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanel.java

Fixed a bug where a value was being directly compared to Instance.missingValue() (rather than using Instance.isMis
singValue()).
------------------------------------------------------------------------
r5987 | eibe | 2009-09-25 10:44:39 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/tertius/IndividualInstance.java
   M /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveASEvaluation.java
   M /trunk/weka/src/main/java/weka/attributeSelection/LatentSemanticAnalysis.java
   M /trunk/weka/src/main/java/weka/attributeSelection/PrincipalComponents.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ReliefFAttributeEval.java
   M /trunk/weka/src/main/java/weka/classifiers/AbstractClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/Classifier.java
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/BayesNetGenerator.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/estimate/MultiNomialBMAEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/CostCurve.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/MarginCurve.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/Prediction.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/CSV.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/HTML.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/PlainText.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/XML.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/PLSClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMO.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LBR.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/ClassificationViaClustering.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Decorate.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Grading.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/OneClassClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RacedIncrementalLogitBoost.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RotationForest.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Stacking.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/Vote.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/generators/EMGenerator.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MINND.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MISMO.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/SimpleMI.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/OSDL.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/monotone/InstancesUtil.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/monotone/OSDLCore.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/GeneralRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/NeuralNetwork.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/Regression.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/RuleSetModel.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/TreeModel.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/DecisionTable.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/Prism.java
   M /trunk/weka/src/main/java/weka/classifiers/scripting/GroovyClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/scripting/JythonClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/BFTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/Id3.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/LADTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/SimpleCart.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/UserClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/ft/FTInnerNode.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/ft/FTNode.java
   M /trunk/weka/src/main/java/weka/clusterers/Clusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/DensityBasedClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/FarthestFirst.java
   M /trunk/weka/src/main/java/weka/clusterers/SimpleKMeans.java
   M /trunk/weka/src/main/java/weka/clusterers/UpdateableClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan/DataObjects/EuclidianDataObject.java
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan/DataObjects/ManhattanDataObject.java
   M /trunk/weka/src/main/java/weka/clusterers/sIB.java
   A /trunk/weka/src/main/java/weka/core/AbstractInstance.java
   M /trunk/weka/src/main/java/weka/core/AbstractStringDistanceFunction.java
   M /trunk/weka/src/main/java/weka/core/AlgVector.java
   M /trunk/weka/src/main/java/weka/core/Attribute.java
   M /trunk/weka/src/main/java/weka/core/AttributeExpression.java
   M /trunk/weka/src/main/java/weka/core/BinarySparseInstance.java
   M /trunk/weka/src/main/java/weka/core/CapabilitiesHandler.java
   A /trunk/weka/src/main/java/weka/core/DenseInstance.java
   M /trunk/weka/src/main/java/weka/core/EditDistance.java
   M /trunk/weka/src/main/java/weka/core/Environment.java
   M /trunk/weka/src/main/java/weka/core/Instance.java
   M /trunk/weka/src/main/java/weka/core/Instances.java
   M /trunk/weka/src/main/java/weka/core/NormalizableDistance.java
   M /trunk/weka/src/main/java/weka/core/SparseInstance.java
   M /trunk/weka/src/main/java/weka/core/TestInstances.java
   M /trunk/weka/src/main/java/weka/core/Utils.java
   M /trunk/weka/src/main/java/weka/core/converters/ArffLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/C45Loader.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/MatlabLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/TextDirectoryLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/XRFFLoader.java
   M /trunk/weka/src/main/java/weka/core/json/JSONInstances.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/KDTree.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BallNode.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/BottomUpConstructor.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/MiddleOutConstructor.java
   M /trunk/weka/src/main/java/weka/core/pmml/BuiltInArithmetic.java
   M /trunk/weka/src/main/java/weka/core/pmml/Discretize.java
   M /trunk/weka/src/main/java/weka/core/pmml/FieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/MappingInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningFieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningSchema.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormContinuous.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormDiscrete.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLModel.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLUtils.java
   M /trunk/weka/src/main/java/weka/core/pmml/TargetMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/xml/XMLInstances.java
   M /trunk/weka/src/main/java/weka/core/xml/XStream.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/Agrawal.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/BayesNet.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/LED24.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/RDG1.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification/RandomRBF.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/regression/Expression.java
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/regression/MexicanHat.java
   M /trunk/weka/src/main/java/weka/datagenerators/clusterers/BIRCHCluster.java
   M /trunk/weka/src/main/java/weka/datagenerators/clusterers/SubspaceCluster.java
   M /trunk/weka/src/main/java/weka/experiment/ClassifierSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/CostSensitiveClassifierSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/experiment/InstanceQuery.java
   M /trunk/weka/src/main/java/weka/experiment/InstancesResultListener.java
   M /trunk/weka/src/main/java/weka/experiment/RegressionSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AddClassification.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AttributeSelection.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/Discretize.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/PLSFilter.java
   M /trunk/weka/src/main/java/weka/filters/supervised/instance/SMOTE.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AbstractTimeSeries.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Add.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddCluster.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddID.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddNoise.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Center.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ChangeDateFormat.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ClassAssigner.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ClusterMembership.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Copy.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Discretize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/EMImputation.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/FirstOrder.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/InterquartileRange.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/KernelFilter.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MILESFilter.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MakeIndicator.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MathExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeManyValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeTwoValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MultiInstanceToPropositional.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToString.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Normalize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericCleaner.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericToBinary.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericToNominal.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericTransform.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Obfuscate.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PrincipalComponents.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PropositionalToMultiInstance.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RELAGGS.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RandomProjection.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RandomSubset.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Remove.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveByName.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveType.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveUseless.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Reorder.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ReplaceMissingValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/SortLabels.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Standardize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToNominal.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToWordVector.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/SwapValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/TimeSeriesDelta.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/TimeSeriesTranslate.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Wavelet.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/NonSparseToSparse.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/SparseToNonSparse.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/Parser.java
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffTableModel.java
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanel.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/RemoteBoundaryVisualizerSubTask.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererAssignmentsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/visualize/Plot2D.java

Instance is an interface now. There is also an AbstractInstance, with two concrete sub classes DenseInstance and SparseInstance. DenseInstance objects are now used wherever Instance objects where used previously.
------------------------------------------------------------------------
r5988 | mhall | 2009-09-25 10:59:12 +1200 (Fri, 25 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/AttributeExpression.java

Removed an unnecessary test for missing value in evaluateExpression().
------------------------------------------------------------------------
r5996 | fracpete | 2009-09-27 16:28:40 +1300 (Sun, 27 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java
   M /trunk/weka/src/main/java/weka/gui/hierarchyvisualizer/HierarchyVisualizer.java

removed "@Override" annotations as they stop Eclipse from compiling (default setup)
------------------------------------------------------------------------
r6000 | mhall | 2009-09-29 20:09:12 +1300 (Tue, 29 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java

A member variable pointing to a StreamTokenizer was non transient, causing the saving of binary knowledge flows to fail.
------------------------------------------------------------------------
r6003 | mhall | 2009-09-29 20:20:47 +1300 (Tue, 29 Sep 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java

Fold thread was not transient and the finally clause of the try/catch block in the run() method of the thread was not setting the thread reference to null. This can cause serialization to fail if saving after interrupting the flow.
------------------------------------------------------------------------
r6009 | mhall | 2009-10-02 12:10:02 +1300 (Fri, 02 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/MetaBean.java

Fixed a bug where enumerateRequests wasn't passing through user requests from the encapsulated beans that require a yes/no response from the user.
------------------------------------------------------------------------
r6012 | mhall | 2009-10-02 14:18:00 +1300 (Fri, 02 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/MetaBean.java

Now allows encapsulated Startable components to be started.
------------------------------------------------------------------------
r6013 | mhall | 2009-10-02 14:36:55 +1300 (Fri, 02 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Now allows outgoing connections to be made from all beans encapsulated in a MetaBean and not just those defined to be "output" beans.
------------------------------------------------------------------------
r6014 | mhall | 2009-10-02 20:22:53 +1300 (Fri, 02 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/MetaBean.java

Added some methods to check for the presence of a particular bean in the subflow, inputs or outputs.
------------------------------------------------------------------------
r6015 | mhall | 2009-10-02 20:24:33 +1300 (Fri, 02 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Added some code to ensure that an input in the subflow of a MetaBean is disconnected as a source for any target beans that are outside of the subflow (was causing serialization problems when adding to the user tab).
------------------------------------------------------------------------
r6018 | mhall | 2009-10-05 09:04:42 +1300 (Mon, 05 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/Regression.java

RegressionTable was ignoring the intercept when there are multiple regression tables (classification) - fixed.
------------------------------------------------------------------------
r6021 | mhall | 2009-10-12 11:13:14 +1300 (Mon, 12 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/ClusterEvaluation.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererAssignmentsPlotInstances.java

Wasn't handling unclustered instances correctly in classes to clusters evaluation
------------------------------------------------------------------------
r6024 | mhall | 2009-10-13 16:47:04 +1300 (Tue, 13 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMO.java

Technical information fix.
------------------------------------------------------------------------
r6028 | mhall | 2009-10-16 09:56:23 +1300 (Fri, 16 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java

Fixed indentation and added getRevision method.
------------------------------------------------------------------------
r6034 | remco | 2009-10-21 08:38:43 +1300 (Wed, 21 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java

Neighbor joining clusterer added
------------------------------------------------------------------------
r6035 | mhall | 2009-10-22 11:38:59 +1300 (Thu, 22 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/LADTree.java

Javadoc header started with "/*" rather than "/**" - fixed.
------------------------------------------------------------------------
r6040 | remco | 2009-10-23 08:28:01 +1300 (Fri, 23 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java

Fixed issue with priority queue, more efficient NJ
------------------------------------------------------------------------
r6041 | mhall | 2009-10-23 13:40:33 +1300 (Fri, 23 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/AbstractClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/BVDecompose.java
   M /trunk/weka/src/main/java/weka/classifiers/BVDecomposeSegCVSub.java
   M /trunk/weka/src/main/java/weka/classifiers/CheckClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/CheckSource.java
   M /trunk/weka/src/main/java/weka/classifiers/Classifier.java
   M /trunk/weka/src/main/java/weka/classifiers/ConditionalDensityEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/CostMatrix.java
   M /trunk/weka/src/main/java/weka/classifiers/EnsembleLibrary.java
   M /trunk/weka/src/main/java/weka/classifiers/EnsembleLibraryModel.java
   M /trunk/weka/src/main/java/weka/classifiers/EnsembleLibraryModelComparator.java
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/IntervalEstimator.java
   M /trunk/weka/src/main/java/weka/classifiers/IteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/IterativeClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/MultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/ParallelIteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/ParallelMultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableIteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableMultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableParallelIteratedSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableParallelMultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/RandomizableSingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/SingleClassifierEnhancer.java
   M /trunk/weka/src/main/java/weka/classifiers/Sourcable.java
   M /trunk/weka/src/main/java/weka/classifiers/UpdateableClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/JRip.java

Code formatting tidy up courtesy of Michael C. Harris. Trailing space removed; reformat to two-space indent; join statements that are split over multiple lines if the result is less than 80 characters.
------------------------------------------------------------------------
r6042 | remco | 2009-10-24 12:12:17 +1300 (Sat, 24 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/HierarchicalClusterer.java

toString fix and some other issues
------------------------------------------------------------------------
r6049 | mhall | 2009-10-28 15:30:28 +1300 (Wed, 28 Oct 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Initial import.
------------------------------------------------------------------------
r6051 | mhall | 2009-10-28 16:32:39 +1300 (Wed, 28 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

A couple of javadoc fixes.
------------------------------------------------------------------------
r6055 | mhall | 2009-10-30 10:04:19 +1300 (Fri, 30 Oct 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LWL.java

Made the constants for the weighting function types public. Now prunes to user k for the inverse and gauss kernels as well as the others.
------------------------------------------------------------------------
r6061 | mhall | 2009-11-09 12:10:21 +1300 (Mon, 09 Nov 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java

Initial import
------------------------------------------------------------------------
r6067 | mhall | 2009-11-09 13:59:19 +1300 (Mon, 09 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java

TechicalInformation update.
------------------------------------------------------------------------
r6068 | mhall | 2009-11-09 14:05:48 +1300 (Mon, 09 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java

Updated javadoc.
------------------------------------------------------------------------
r6072 | mhall | 2009-11-10 10:15:48 +1300 (Tue, 10 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java

Was disabled in the Explorer due to a missing capability.
------------------------------------------------------------------------
r6073 | eibe | 2009-11-11 15:42:28 +1300 (Wed, 11 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/BinC45ModelSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/BinC45Split.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45ModelSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45PruneableClassifierTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45Split.java

Added options to J48 that make it possible to turn of (a) subtree collapsing and (b) the MDL correction for the info gain of splits on numeric attributes. This makes it possible to obtain trees that are truly fully expanded.
------------------------------------------------------------------------
r6074 | mhall | 2009-11-11 16:21:26 +1300 (Wed, 11 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java

Reverted the StringCompare back to an untyped Comparator since having it typed to String broke some other stuff.
------------------------------------------------------------------------
r6076 | fracpete | 2009-11-11 16:23:49 +1300 (Wed, 11 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveByName.java


------------------------------------------------------------------------
r6077 | mhall | 2009-11-12 09:50:31 +1300 (Thu, 12 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java

Execution slots text box now has a focus listener so that you don't have to press return in the text box to pick up the new value.
------------------------------------------------------------------------
r6080 | fracpete | 2009-11-13 11:56:21 +1300 (Fri, 13 Nov 2009) | 1 line
Changed paths:
   M /branches/book2ndEd-branch/weka/src/main/java/weka/gui/PropertySheetPanel.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/PropertySheetPanel.java
   M /trunk/weka/src/main/java/weka/gui/PropertySheetPanel.java


------------------------------------------------------------------------
r6081 | mhall | 2009-11-13 12:11:34 +1300 (Fri, 13 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java

Fixed capabilities problem.
------------------------------------------------------------------------
r6087 | fracpete | 2009-11-13 13:08:36 +1300 (Fri, 13 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/experiment/ResultsPanel.java


------------------------------------------------------------------------
r6088 | eibe | 2009-11-16 09:58:24 +1300 (Mon, 16 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48graft.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/LMT.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/ft/FTInnerNode.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/ft/FTLeavesNode.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/ft/FTNode.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/NBTreeSplit.java

Fixed problems due to changes in J48.
------------------------------------------------------------------------
r6089 | eibe | 2009-11-16 09:58:58 +1300 (Mon, 16 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/PART.java

Fixed problems due to changes in J48.
------------------------------------------------------------------------
r6090 | eibe | 2009-11-18 13:49:55 +1300 (Wed, 18 Nov 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/meta/RealAdaBoost.java

Initial import of Real AdaBoost by Friedman et al. Useful for boosting class probability estimators (for classification).
------------------------------------------------------------------------
r6091 | eibe | 2009-11-18 14:09:00 +1300 (Wed, 18 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/LogitBoost.java

Fixed bug: shrinkage was only applied at training time, not at prediction time. Now, changing the value of the shrinkage parameter actually works properly.
------------------------------------------------------------------------
r6097 | fracpete | 2009-11-21 13:39:20 +1300 (Sat, 21 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/PropertySheetPanel.java


------------------------------------------------------------------------
r6098 | fracpete | 2009-11-23 14:31:07 +1300 (Mon, 23 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVSaver.java

loader and saver now have the ability to declare the column/field separator character explicitly
------------------------------------------------------------------------
r6100 | mhall | 2009-11-25 14:34:59 +1300 (Wed, 25 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java

Can now choose between the hinge loss (SVM) or log loss (logistic regression).
------------------------------------------------------------------------
r6101 | mhall | 2009-11-25 14:37:12 +1300 (Wed, 25 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java

Forgot to update the javadoc.
------------------------------------------------------------------------
r6103 | fracpete | 2009-11-26 11:41:36 +1300 (Thu, 26 Nov 2009) | 6 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierErrorsPlotInstances.java
   M /trunk/weka/src/main/java/weka/gui/explorer/Explorer.props
   M /trunk/weka/src/main/java/weka/gui/explorer/ExplorerDefaults.java

added the following options to weka/gui/explorer/Explorer.props to enable the user to choose the size of crosses used when displaying classifier errors in the Explorer's classify panel, as it is sometimes quite hard clicking on the crosses of size 1:
- ClassifierErrorsMinimumPlotSizeNumeric
  the minimum size (default 1)
- ClassifierErrorsMaximumPlotSizeNumeric
  the maximum size (default 20)

------------------------------------------------------------------------
r6105 | mhall | 2009-11-26 15:31:28 +1300 (Thu, 26 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SPegasos.java

Made sure that reset method sets filter variables to null.
------------------------------------------------------------------------
r6107 | fracpete | 2009-11-30 12:29:58 +1300 (Mon, 30 Nov 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RenameAttribute.java
   A /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/RenameAttributeTest.java
   A /trunk/weka/src/test/resources/wekarefs/weka/filters/unsupervised/attribute/RenameAttributeTest.ref

filter for renaming attributes in datasets
------------------------------------------------------------------------
r6108 | fracpete | 2009-11-30 13:03:41 +1300 (Mon, 30 Nov 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RenameAttribute.java
   M /trunk/weka/src/test/resources/wekarefs/weka/filters/unsupervised/attribute/RenameAttributeTest.ref

fixed typo in default regular expressions - duh!
------------------------------------------------------------------------
r6111 | fracpete | 2009-12-01 15:23:00 +1300 (Tue, 01 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/AllJavadoc.java

list of Javadoc-generating classes determined statically contains only unique classnames now
------------------------------------------------------------------------
r6113 | fracpete | 2009-12-02 09:26:38 +1300 (Wed, 02 Dec 2009) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java

no longer removes rows after the first batch has been processed (exceptions when used in FilteredClassifier)
------------------------------------------------------------------------
r6120 | mhall | 2009-12-03 11:12:28 +1300 (Thu, 03 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/ensembleSelection/large_binary_class.model.xml
   M /trunk/weka/src/main/java/weka/classifiers/meta/ensembleSelection/large_multi_class.model.xml

Updated the references in the model to the linear NN search algorithm
------------------------------------------------------------------------
r6125 | fracpete | 2009-12-04 12:10:24 +1300 (Fri, 04 Dec 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericArrayEditor.java

fixed long-standing bug in GenericArrayEditor: after initially displaying an array, editing the currently displayed object in the edit panel also modified the first element in the JList with all the elements, as these two references were pointing to the same object
the initial object in the edit panel is now a deep copy of the first element of the array
------------------------------------------------------------------------
r6128 | mhall | 2009-12-09 11:19:06 +1300 (Wed, 09 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Remove.java

Minor fix to the globalInfo and javadocs.
------------------------------------------------------------------------
r6132 | mhall | 2009-12-09 11:26:00 +1300 (Wed, 09 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/CfsSubsetEval.java

Fixed spelling mistake in an option name.
------------------------------------------------------------------------
r6136 | eibe | 2009-12-09 13:56:39 +1300 (Wed, 09 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RealAdaBoost.java

New version that stops boosting when exponential loss on training data does not decrease further. Shrinkage should now also work better because predictions are shrunk towards a ZeroR model.
------------------------------------------------------------------------
r6137 | mhall | 2009-12-10 09:38:36 +1300 (Thu, 10 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

For the fp and fn fields of the cost matrix a default value of 1 rather than 0 was being set when the contents of the field in question was not parseable as a number.
------------------------------------------------------------------------
r6140 | mhall | 2009-12-12 04:12:33 +1300 (Sat, 12 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Now creates the plugins directory (if not already existing) on exit.
------------------------------------------------------------------------
r6144 | mhall | 2009-12-18 11:31:13 +1300 (Fri, 18 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Added an option to set the attribute index considered to be positive from the command line and an option to limit the number of items to include in large item sets.
------------------------------------------------------------------------
r6153 | mhall | 2009-12-22 08:23:19 +1300 (Tue, 22 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Added an accessor method for fetching the list of mined association rules.
------------------------------------------------------------------------
r6155 | mhall | 2009-12-22 09:22:31 +1300 (Tue, 22 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java

DataSource.reset() was resetting the loader in the case where the source is neither a file or URL (i.e an input stream). A loader can't really be reset for re-reading in this case and doing so causes the source to be set to the default file location (user.dir) in the case of file based loaders. This was causing a failure in the case of DataSources constructed directly with input streams since DataSource.reset() gets called in DataSource.getDataSet() before the data is actually read.
------------------------------------------------------------------------
r6158 | mhall | 2009-12-23 15:10:25 +1300 (Wed, 23 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/FPGrowth.java

Made BinaryItem a publicly accessible inner class.
------------------------------------------------------------------------
r6160 | fracpete | 2009-12-24 07:42:03 +1300 (Thu, 24 Dec 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java

fixed getOptions() method for option -Z: listOptions/setOptions defined it as flag, but getOptions returned it as option with (boolean) argument
------------------------------------------------------------------------
r6174 | mhall | 2010-01-04 22:13:47 +1300 (Mon, 04 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Obfuscate.java

Now obfuscates the names of String attributes.
------------------------------------------------------------------------
r6197 | mhall | 2010-01-10 21:16:33 +1300 (Sun, 10 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed a bug that prevented clean-up of memory and resetting to idle state after processing a run when there was no batchClassifierListener connected.
------------------------------------------------------------------------
r6202 | mhall | 2010-01-11 14:57:04 +1300 (Mon, 11 Jan 2010) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptronCS.java

Ben Fowler, Liangliang Tu and Daniel Silver's extension to MultilayerPerceptron in order to implement context-sensitive Multiple Task Learning (csMTL)
------------------------------------------------------------------------
r6205 | mhall | 2010-01-11 20:28:40 +1300 (Mon, 11 Jan 2010) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Copyright.props

Updated to 2010
------------------------------------------------------------------------
